*Discord Plex FR : https://discord.gg/3gtABCH*
*Version 2021-08-23*

### Installation de Docker, Docker-compose et Portainer sur raspbian

## Sommaire
* [Pré-requis](#pré-requis)
* [Installation de Docker](#installation-de-docker)
* [Installation de Docker-compose](#installation-de-docker-compose)
* [Installation de Portainer](#installation-de-portainer)

## Pré-requis :

En 1er temps, on met a jour le raspberry :
`sudo apt update && sudo apt upgrade -y`

## Installation de Docker :

On install docker :
`curl -sSL https://get.docker.com | sh`

On ajoute l'utilisateur pi au groupe docker :
`sudo usermod -aG docker pi`

## Installation de Docker-compose :

On install les dépendances nécessaires :
`sudo apt install libffi-dev libssl-dev python3 python3-pip`

On install docker-compose
`sudo pip3 install docker-compose`

On redémarre le Raspberry
`sudo reboot`

## Installation de Portainer :

On créer le volume portainer_data nécessaire au fonctionnement de Portainer
docker volume create portainer_data

On créer le conteneur contenant Portainer, et on le lance :
`docker run -d -p 8000:8000 -p 9000:9000 --restart unless-stopped --name="Portainer" -v /var/run/docker.sock:/var/run/docker.sock -v portainer_data:/data portainer/portainer`

Maintenant nous pouvons accéder à l'interface de Portainer, via l'adresse : http://adresse_du_pi:9000/
Exemple, si votre Pi est a l'adresse ip 192.168.1.210, l'interface de Portainer sera l'adresse : http://192.168.1.210:9000/

La 1ere chose a faire est de choisir un nom d'utilisateur et un mot de passe, ensuite, on choisi la méthode de connexion a docker, on choisi "Local" et on clique sur "Connect"


[Source 1](https://linuxhint.com/install_docker_on_raspbian_os/) | [Source 2](https://www.zuidwijk.com/installing-docker-and-docker-compose-on-a-raspberry-pi-4/)

*Écrit par EVOTk le 04/09/2020*
